# Uses of Class
org.apache.sling.servlets.get.impl.util.JsonToText.Options

Packages that use JsonToText.Options
Package
Description
org.apache.sling.servlets.get.impl.util

## Uses of JsonToText.Options in org.apache.sling.servlets.get.impl.util

Methods in org.apache.sling.servlets.get.impl.util that return JsonToText.Options
Modifier and Type
Method
Description
`JsonToText.Options`
JsonToText.`options()`
Return an Options object with default values
`JsonToText.Options`
JsonToText.Options.`withArraysForChildren(boolean b)`
`JsonToText.Options`
JsonToText.Options.`withChildNameKey(String key)`
`JsonToText.Options`
JsonToText.Options.`withChildrenKey(String key)`
`JsonToText.Options`
JsonToText.Options.`withIndent(int n)`
`JsonToText.Options`
JsonToText.Options.`withInitialIndent(int n)`
Methods in org.apache.sling.servlets.get.impl.util with parameters of type JsonToText.Options
Modifier and Type
Method
Description
`String`
JsonToText.`prettyPrint(jakarta.json.JsonArray ja, JsonToText.Options opt)`
Pretty-print a JSONArray
`String`
JsonToText.`prettyPrint(jakarta.json.JsonObject jo, JsonToText.Options opt)`
Make a prettyprinted JSON text of this JSONObject.